-- Variable to hold the guild list
local TGIGuildList = {"@Account1", "@Account2",}
-- Variable to hold the guild name
local TGIGuildName = "MuhKuh"
	
-- Addons being loaded
function OnAddOnLoaded(eventID,addon)
	if addon ~= "TreWaGuildImport" then return end
	EVENT_MANAGER:UnregisterForEvent("TreWaGuildImport",eventID)
	TreWaGuildImportCounter:SetText(string.format("Number of invites sent: %d", 0))
	EVENT_MANAGER:RegisterForEvent("TreWaGuildImport", EVENT_PLAYER_ACTIVATED, PlayerActivated)
end

function PlayerAdded(accountName, guildName, counter)
	CHAT_SYSTEM:AddMessage(string.format("%s invited to guild",accountName))
	TreWaGuildImportCounter:SetText(string.format("Number of invites sent: %d", counter))
end
	
function PlayerActivated(eventID)
	EVENT_MANAGER:UnregisterForEvent("TreWaGuildImport",eventID)
	CHAT_SYSTEM:AddMessage("TreWaGuildImport started")
	ImportGuildFromLocal()
end
	
-- Main function of the addon inviting the guild from local variables
function ImportGuildFromLocal()
	local numGuilds = GetNumGuilds()
	for i=1, numGuilds do
		local currentGuildName = GetGuildName(i)
		if currentGuildName == TGIGuildName then
			d(string.format("Inviting for %s", currentGuildName))
			for key, accountName in ipairs(TGIGuildList) do
				GuildInvite(i, accountName)
				PlayerAdded(accountName, currentGuildName, key)
			end
		end
	end
	CHAT_SYSTEM:AddMessage("All invites processed.")
end

EVENT_MANAGER:RegisterForEvent("TreWaGuildImport", EVENT_ADD_ON_LOADED, OnAddOnLoaded)